
class LocalInfo extends IDInfo 
implements TypeConstants
{ //    public int type; //moved to IDInfo, Yi Zheng May 17, 2002
   public int intVal = 0;
   public long longVal = 0;
   public float floatVal = 0;
   public double doubleVal = 0;
   public String stringVal = "";
   public String nrVal = "";
	public number numberVal = new number("+000+0"); //from Yiyi

	//Yi Zheng May 15, 2002
	public Relation relVal = null; //for storing IDLIST/COMP typed locals
	
	
public LocalInfo(int type, Object val)
   {  kind = LOCAL;
	  this.type = type;
	  if(val != null)
	  {  switch (type)
		 {  case BOOLEAN :
			   intVal = (((Boolean) val).booleanValue() == true) ? 1 : 0;
			   break;
			case NUMERIC: //from Yiyi
         	numberVal = (number) val;
            break;

			case SHORT :
			   intVal = ((Short) val).shortValue();
			   break;
			case INTEGER :
			   intVal = ((Integer) val).intValue();
			   break;
			case LONG :
			   longVal = ((Long) val).longValue();
			   break;
			case FLOAT :
			   floatVal = ((Float) val).floatValue();
			   break;
			case DOUBLE :
			   doubleVal = ((Double) val).doubleValue();
			   break;
			case STRING :
			   stringVal = (String) val;
			   break;
			case IDLIST :
			case COMP://Yi Zheng June 17, 2002
			   nrVal = (String) val;
			   break;
			default:  Global.println("Warning: type not implemented");
		 }
	  }
   }   
   /**
	* Provided for debugging
	*/
   public void dump(String name)
   {  System.out.println("Local "+name+": Type is "+type);
   }

  /**
   * to implement the abstract dump method
   * @author Yi Zheng, May 14, 2002	
   */
   public void dump()
   { System.out.println("Local " + " Type is " + Utility.type2String(type));
   }
   
}
